## xemacs21-packages 2009.02.17.dfsg.3

=== Makefile ===
# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA 02110-1301, USA.

SUBDIRS = xemacs-packages

XEMACS_PACKAGES_BASE:= $(shell while [ ! -f XEmacs.rules ]; do \
				cd ..;	\
				done;	\
				pwd)

all: autoloads bytecompile

include Local.rules.mk
-include Local.rules

ifeq ($(BUILD_WITHOUT_MULE),)
SUBDIRS += mule-packages
endif

include meta-iterate.rules

=== mule-packages/Makefile ===
# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# So we can get at $MULE_PACKAGES
include ../Local.rules.inc

ifeq ('$(MULE_PACKAGES)','mule-packages')
PACKAGES := mule-base locale leim lookup edict egg-its skk \
	mule-ucs latin-unity latin-euro-standards
else
PACKAGES := $(MULE_PACKAGES)
endif

ASSUMED_PRESENT = xemacs-base fsf-compat viper apel cookie elib dired

compile::

include ../iterate.rules

=== unsupported/Makefile ===
# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

SUBDIRS = scop simon

include ../meta-iterate.rules

=== xemacs-packages/Makefile ===
# This file is part of XEmacs.

# Copyright (C) 2001, 2002 Steve Youngs
# Copyright (C) 2004 Ben Wing.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# So we can get at $NONMULE_PACKAGES
include ../Local.rules.inc

# At one point, we needed the list of packages to be in a very particular
# order because of autoload issues.  This is no longer true -- we build all
# autoloads first, before any compilation, so they're available to all
# packages, and we arrange things so that out-of-date .elc files are
# ignored.  However, it's useful to order the more basic stuff first,
# to speed up compilation.  We use four groups:
#
# (a) The most basic stuff, listed in dependency order.
# (b) Basic libraries used by lots of other code, with few or no dependencies
#     other than in (a); listed alphabetically.
# (c) Some other things with more dependencies but used by lots of packages;
#     listed alphabetically.
# (d) Everything else, listed alphabetically.

ifeq ('$(NONMULE_PACKAGES)','xemacs-packages')
PACKAGES := xemacs-base fsf-compat mail-lib \
	\
	apel cc-mode debug dired ecrypto edit-utils elib eterm ispell \
	os-utils sh-script texinfo text-modes xlib \
	\
	edebug efs net-utils xemacs-devel \
	\
	cedet-common speedbar eieio ede semantic cogre \
	\
	Sun ada auctex bbdb build c-support calc calendar clearcase \
	cookie crisp dictionary docbookide easypg ecb ediff edt emerge \
	erc escreen eshell eudc footnote forms fortran-modes \
	frame-icon games general-docs gnats gnus guided-tour haskell-mode \
	hm--html-menus hyperbole ibuffer idlwave igrep ilisp \
	jde mailcrypt mew mh-e mine misc-games mmm-mode \
	ocaml oo-browser pc pcl-cvs pcomplete perl-modes pgg \
	prog-modes ps-print psgml psgml-dtds python-modes re-builder \
	reftex riece rmail ruby-modes sasl scheme sgml \
	sieve slider sml-mode sounds-au sounds-wav strokes \
	supercite textools time tm tooltalk tpu tramp \
	vc vc-cc vhdl view-process viper vm w3 x-symbol \
	xetla xslide xslt-process xwem zenirc
else
PACKAGES := $(NONMULE_PACKAGES)
endif

compile::

include ../iterate.rules

=== mule-packages/latin-euro-standards/Makefile ===
# Makefile for latin-euro-standards

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.08
# XEmacs CVS version is canonical.
AUTHOR_VERSION = $(VERSION)
MAINTAINER = Aidan Kehoe <aidan@xemacs.org>
PACKAGE = latin-euro-standards
PKG_TYPE = regular
REQUIRES = mule-base
CATEGORY = mule

STANDARD_DOCS = t

ELCS = latin-euro-latin7.elc latin-euro-latin8.elc latin-euro-latin9.elc \
	latin-euro-latin10.elc latin-euro-standards.elc

EXTRA_DEPENDENCIES = $(ELCS)

include ../../XEmacs.rules

=== mule-packages/leim/Makefile ===
# Makefile for LEIM/Quail code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.28
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = leim
PKG_TYPE = regular
REQUIRES = leim mule-base fsf-compat xemacs-base latin-euro-standards
CATEGORY = mule

ELCS = quail.elc leim-list.elc

ELCS_1 = quail/4Corner.elc quail/ARRAY30.elc quail/CCDOSPY.elc		    \
	quail/CTLau-b5.elc quail/CTLau.elc quail/ECDICT.elc quail/ETZY.elc  \
	quail/PY-b5.elc quail/PY.elc quail/Punct-b5.elc quail/Punct.elc	    \
	quail/QJ-b5.elc quail/QJ.elc quail/SW.elc quail/TONEPY.elc	    \
	quail/ZIRANMA.elc quail/ZOZY.elc quail/croatian.elc		    \
	quail/cyril-jis.elc quail/cyrillic.elc quail/czech.elc		    \
	quail/ethiopic.elc quail/greek.elc quail/hangul.elc		    \
	quail/hangul3.elc quail/hanja-jis.elc quail/hanja.elc quail/ipa.elc \
	quail/latin-alt.elc quail/latin-post.elc quail/latin-pre.elc	    \
	quail/py-punct.elc quail/pypunct-b5.elc quail/quick-b5.elc	    \
	quail/quick-cns.elc quail/sisheng.elc quail/slovak.elc		    \
	quail/symbol-ksc.elc quail/thai-xtis.elc quail/tsang-b5.elc	    \
	quail/tsang-cns.elc quail/viqr.elc quail/vntelex.elc

# #### quail/thai.elc not included because it uses category infrastructure
# that we haven't yet decided how to handle in XEmacs.

# Compiling the following files fails with silent data corruption on 21.4,
# and they are not computationally intensive, so we install them as Lisp
# source, to be included in leim-list.el and loaded under 21.5 and ignored
# under 21.4. They error when loaded in an XEmacs that doesn't support the
# characters needed.

# #### Move these to ELCS_1 once 21.4 is deprecated.

EXTRA_SOURCES= quail/cyrillic-tajik.el quail/georgian.el quail/ipa-21.5.el \
	quail/latin-ltx.el quail/rfc1345.el quail/sgml-input.el quail/welsh.el

ELCS_1_FILES = $(ELCS_1) $(ELCS_1:.elc=.el)
ELCS_1_DEST = $(PACKAGE)/quail

include ../../XEmacs.rules

=== mule-packages/lookup/Makefile ===
VERSION = 1.15
AUTHOR_VERSION = 1.0
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = lookup
PKG_TYPE = regular
REQUIRES = mule-base cookie lookup
CATEGORY = mule

ELCS = lisp/evi-mule.elc lisp/evi.elc lisp/lookup-compile.elc \
	lisp/lookup-content.elc lisp/lookup-defs.elc lisp/lookup-entry.elc \
	lisp/lookup-misc.elc lisp/lookup-package.elc lisp/lookup-types.elc \
	lisp/lookup-utils.elc lisp/lookup-vars.elc lisp/lookup-vse.elc \
	lisp/lookup.elc lisp/ndcookie.elc lisp/ndeb.elc lisp/ndic.elc \
	lisp/ndict.elc lisp/ndkks.elc lisp/ndmisc.elc lisp/ndnmz.elc \
	lisp/ndspell.elc lisp/ndtp.elc lisp/stem-english.elc \
	lisp/lookup-select.elc lisp/ndsrd.elc lisp/sdicf.elc

PRELOADS = -eval "(setq lookup-byte-compile t)"

DATA_FILES = 

EXPLICIT_DOCS = texi/lookup.texi texi/lookup-guide.texi

COMPILE_INFO_AS_MULE = t

AUTOLOAD_PATH = lisp

include ../../XEmacs.rules

=== mule-packages/mule-ucs/Makefile ===
# Makefile for Mule-UCS

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.17
AUTHOR_VERSION = 0.84
MAINTAINER = Stephen J. Turnbull <stephen@xemacs.org>
PACKAGE = mule-ucs
PKG_TYPE = regular
REQUIRES = mule-base latin-euro-standards
CATEGORY = mule

# Mule-UCS is a unique package in that it does not compile or run
# under XEmacsen 21.1, at least not "out of the box".  So here's
# some really ugly Makefile voodoo that will allow people using XEmacs
# 21.1 to build the packages without it blowing up in their faces.
# Don't try this at home, kids.  SY.
include ../../Local.rules
CHECK_VERSION =	$(XEMACS) -batch -no-autoloads -eval '(princ (emacs-version>= 21 4))'

ifeq ($(shell $(CHECK_VERSION)),t)
EXTRA_SOURCES = \
	lisp/un-trbase.el

# NOTE NOTE NOTE: The order of the following is extremely important.
# In particular, the last two files must stay there, and in that order.
ELCS = lisp/mucs.elc lisp/mucs-ccl.elc lisp/mucs-error.elc \
	lisp/mucs-type.elc lisp/mule-uni.elc lisp/mccl-font.elc \
	lisp/tae.elc lisp/tbl-mg.elc lisp/trans-util.elc lisp/txt-tbl.elc \
	lisp/unicode.elc lisp/un-data.elc \
	lisp/un-tools.elc lisp/unidata.elc lisp/utf.elc \
	lisp/un-define.elc lisp/un-supple.elc

AUTOLOAD_PATH = lisp

DATA_1_FILES = README.XEmacs mucs-comp.el lisp/ChangeLog Makefile \
	lisp/MuleUni.txt \
	lisp/README \
	lisp/README.Unicode \
	lisp/type.txt \
	doc/mule-ucs.sgml \
	doc/mule-ucs.texi
DATA_1_DEST = $(PACKAGE)/
DATA_2_FILES = $(wildcard lisp/reldata/*.el)
DATA_2_DEST = $(PACKAGE)/reldata/

EXPLICIT_DOCS = doc/mule-ucs.texi

## The new way:

## #### Some of these are probably not necessary, but I don't know which ones.
PRELOADS = -eval \("push \"./lisp\" load-path"\) -l mucs -l mucs-ccl -l mucs-error -l mucs-type -l mule-uni -l mccl-font -l tae -l tbl-mg -l trans-util -l txt-tbl -l unicode -l un-data -l unidata -l utf

include ../../XEmacs.rules

## The old way:

## Using specially hacked up Lisp files to do the compilation always sucks
## majorly.  These files almost never do any sort of dependency checking,
## instead just brute-force recompiling everything always.  In this case,
## there are lots of subtle order dependencies that are (naturally)
## completely undocumented. (I would expect no less of Japanese code :-)

#NO_BUILD_ELCS = t

#include ../../XEmacs.rules

#compile::
#	$(XEMACS) -no-autoloads -batch -l mucs-comp.el

else
include ../../Version.rules

bad-version:
	@echo "************************ W A R N I N G *************************"
	@echo "Building Mule-UCS with versions less than 21.4 is unsupported by"
	@echo "the XEmacs Project."
	@echo "If you need this feature, contact the package maintainer directly:"
	@echo "$(MAINTAINER)"
endif

=== mule-packages/skk/Makefile ===
# Makefile for SKK lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.24
AUTHOR_VERSION = 10.62a
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = skk
PKG_TYPE = regular
REQUIRES = viper mule-base elib xemacs-base apel
CATEGORY = mule

ELCS = skk-foreword.elc skk-auto.elc skk-comp.elc \
	skk-cursor.elc skk-develop.elc skk-gadget.elc skk-isearch.elc \
	skk-kakasi.elc skk-kcode.elc skk-leim.elc skk-look.elc \
	skk-num.elc skk-obsolete.elc skk-server.elc skk-tut.elc \
	skk-vars.elc skk-viper.elc skk.elc

DATA_FILES = $(wildcard etc/[RS]*)
DATA_DEST = $(PACKAGE)

EXPLICIT_DOCS = texi/skk.texi
EXTRA_TEXI_FILES = texi/gpl.texi texi/skk-faq.texi

COMPILE_INFO_AS_MULE = t

include ../../XEmacs.rules

# skk-vars.el:
# 	rm -f skk-vars.el
# 	$(XEMACS) -no-autoloads -batch -l ./make-vars.el -f make-skk-vars

=== unsupported/simon/Makefile ===
# This file is part of XEmacs.

# Copyright (C) 2001, 2002 Steve Youngs

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

# Because of autoload issues, this strange subdirectory order needs to
# be maintained.  When adding new packages just put them at the end
# of the list.
PACKAGES= asn1 epop3 flim

ASSUMED_PRESENT = apel edebug elib fsf-compat gnus mail-lib rmail tm xemacs-base

include ../../iterate.rules

=== xemacs-packages/Sun/Makefile ===
# Makefile for Sun specific lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

VERSION = 1.16
AUTHOR_VERSION =
MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
PACKAGE = Sun
PKG_TYPE = regular
REQUIRES = cc-mode xemacs-base
CATEGORY = standard

ELCS = eos.elc sccs.elc sun-eos-browser.elc sun-eos-common.elc \
	sun-eos-debugger-extra.elc sun-eos-debugger.elc \
	sun-eos-editor.elc sun-eos-init.elc sun-eos-load.elc \
	sun-eos-menubar.elc sun-eos-toolbar.elc sun-eos.elc \
	sunpro-init.elc sunpro-keys.elc sunpro-menubar.elc \
	sunpro-sparcworks.elc

include ../../XEmacs.rules

=== xemacs-packages/auctex/Makefile ===
# Makefile for AUC TeX lisp code

# This file is part of XEmacs.

# XEmacs is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.

# You should have received a copy of the GNU General Public License
# along with XEmacs; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.


VERSION = 1.51
AUTHOR_VERSION = 11.84
MAINTAINER = Uwe Brauer <oub@mat.ucm.es>
PACKAGE = auctex
PKG_TYPE = regular
REQUIRES = xemacs-base texinfo fsf-compat mail-lib edit-utils
CATEGORY = standard

include ../../Local.rules

ELCC=$(XEMACS) -batch -q -no-site-file -no-init-file -l lpath.el

MULESRC = tex-jp.el
MULEELC = tex-jp.elc

AUCSRC = tex.el tex-buf.el tex-style.el latex.el tex-info.el \
	texmathp.el multi-prompt.el tex-mik.el font-latex.el tex-font.el \
	context.el context-en.el context-nl.el tex-fold.el \
	toolbar-x.el tex-bar.el bib-cite.el tex-fptex.el
AUCELC = $(AUCSRC:.el=.elc)

STYLESRC = style/prosper.el \
	   style/slides.el    style/foils.el     style/amstex.el \
	   style/article.el   style/book.el      style/letter.el \
	   style/report.el    style/amsart.el    style/amsbook.el \
	   style/epsf.el      style/psfig.el     style/latexinfo.el \
	   style/dutch.el     style/german.el    style/dk.el \
	   style/j-article.el style/j-book.el    style/j-report.el \
	   style/jarticle.el  style/jbook.el     style/jreport.el \
	   style/dinbrief.el  style/virtex.el    style/plfonts.el \
	   style/plhb.el      style/harvard.el	 style/swedish.el \
	   style/danish.el    style/slovak.el    style/czech.el \
	   style/amsmath.el   style/amstext.el   style/amsbsy.el \
	   style/amsopn.el    style/amsthm.el	 style/natbib.el \
	   style/index.el     style/makeidx.el   style/multind.el \
	   style/varioref.el  style/fancyref.el	 style/mdwlist.el \
	   style/ngerman.el   style/graphicx.el	 style/graphics.el \
	   style/verbatim.el  style/scrbase.el   style/scrartcl.el \
	   style/scrbook.el   style/scrreprt.el	 style/scrlttr2.el \
	   style/scrpage2.el  style/captcont.el  style/subfigure.el \
	   style/paralist.el  style/booktabs.el  style/emp.el \
	   style/jura.el      style/alphanum.el	 style/beamer.el \
	   style/alltt.el     style/italian.el   style/doc.el \
	   style/ltxdoc.el    style/ltx-base.el	 style/units.el \
	   style/nicefrac.el  style/url.el       style/listings.el \
	   style/jurabib.el   style/csquotes.el  style/jsarticle.el \
	   style/jsbook.el    style/babel.el     style/dk-bib.el \
	   style/inputenc.el  style/frenchb.el   style/francais.el \
	   style/MinionPro.el style/pdfsync.el   style/polish.el \
	   style/polski.el
STYLEELC = $(STYLESRC:.el=.elc)

DISTCLEANFILES = auctex.el auto-loads.el
DISTTEXTS = FAQ INSTALL INSTALL.windows README TODO

EXTRA_DEPENDENCIES = $(STYLEELC) \
	doc/tex-ref.dvi doc/tex-ref.log \
	INSTALLATION README CHANGES \
	$(DATA_3_FILES) $(DATA_4_FILES)

DATA_FILES = $(STYLEELC) $(STYLESRC)
DATA_DEST = $(PACKAGE)/style
# DATA_1_FILES = .dummy
# DATA_1_DEST = $(PACKAGE)/var
# DATA_2_FILES = $(wildcard images/*.xpm)
# DATA_2_DEST = $(PACKAGE)/images
DATA_1_FILES = $(wildcard images/*.xpm)
DATA_1_DEST = $(PACKAGE)/images

PRVSRC = preview/prv-emacs.el preview/preview.el preview/prv-xemacs.el
ELCS_1 = $(PRVSRC:.el=.elc)
ELCS_1_DEST = $(PACKAGE)
ELCS_1_FILES = $(ELCS_1) $(PRVSRC)

ICON_SOURCES = \
 preview/images/prverr16.xpm  preview/images/prverr20.xpm       preview/images/prverr24.xbm \
 preview/images/prverr24.xpm  preview/images/prvtex-cap-up.xpm  preview/images/prvtex12.xbm \
 preview/images/prvtex12.xpm  preview/images/prvtex16.xbm       preview/images/prvtex16.xpm \
 preview/images/prvtex20.xpm  preview/images/prvtex24.xbm       preview/images/prvtex24.xpm \
 preview/images/prvwrk12.xpm  preview/images/prvwrk14.xpm       preview/images/prvwrk16.xpm \
 preview/images/prvwrk20.xpm  preview/images/prvwrk24.xbm       preview/images/prvwrk24.xpm
DATA_2_FILES = $(ICON_SOURCES)
DATA_2_DEST = $(PACKAGE)/images

EXPLICIT_DOCS = doc/auctex.texi doc/preview-latex.texi
EXTRA_TEXI_FILES = \
	doc/changes.texi doc/faq.texi doc/fdl.texi doc/install.texi \
	doc/intro.texi doc/macros.texi doc/quickstart.texi  \
	doc/todo.texi doc/version.texi \
	doc/preview-dtxdoc.texi doc/preview-faq.texi	  \
	doc/preview-problems.texi doc/preview-readme.texi \
	doc/preview-todo.texi \
	doc/tex-ref.tex doc/wininstall.texi doc/copying.texi RELEASE

PRELOADS = -eval '(setq load-path (cons "." (cons "preview" load-path)))'

ELCS = $(AUCELC)

ifeq ($(BUILD_WITHOUT_MULE),)
ELCS += $(MULEELC)
endif

%.dvi: %.tex
ifneq ($(TEX),)
	cd $(@D) && $(TEX) $(*F)
else
	-
endif

RUN_MAKEINFO_INDIVIDUAL = $(MAKEINFO) -I doc/ -D rawfile --no-validate  --force --no-headers -o $@ $<

## Preview latex
PL = preview/latex

TEXMFGEN = preview.sty prauctex.def prauctex.cfg prshowbox.def \
	prshowlabels.def prtracingall.def prtightpage.def prlyx.def \
	prcounters.def prfootnotes.def

PREVIEW_TEXMFGEN = $(foreach file,$(TEXMFGEN),$(PL)/$(file))
DATA_3_FILES = $(PREVIEW_TEXMFGEN)
DATA_3_DEST = $(PACKAGE)/latex

DATA_4_FILES = preview/latex/preview.dvi
DATA_4_DEST = $(PACKAGE)/doc

EXTRA_AUTOLOADS_DEPENDENCIES = tex-site.el preview/auto.el

include ../../XEmacs.rules

# If Makefile or _pkg.el has changed (Makefile will trigger _pkg.el
# rebuilding), then our suppress forms may have changed.  Just rebuilding
# the autoload file normally isn't enough as the old suppress forms will
# still sit there, so nuke it first.
$(AUTOLOAD_PATH)/auto-autoloads.el :: $(AUTOLOAD_PATH)/_pkg.el
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el

ifeq ($(XEMACS_21_5),t)
$(AUTOLOAD_PATH)/auto-autoloads.el :: $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-l autoload -f batch-update-directory-autoloads \
		$(PACKAGE) $(AUTOLOAD_PATH)
	# The equivalent of `touch' is done automatically
	cat tex-site.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	cat preview/auto.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	@rm -f $(AUTOLOAD_PATH)/auto-autoloads.el~
	echo "THIS IS XEMACS_21_5"

$(AUTOLOAD_PATH)/custom-defines.el : $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-l autoload -f batch-update-directory-custom-defines \
		$(PACKAGE) $(AUTOLOAD_PATH)
	@rm -f $(AUTOLOAD_PATH)/custom-defines.el~

else
AUTOLOAD_PACKAGE_NAME = (setq autoload-package-name \"$(PACKAGE)\")
AUTOLOAD_FILE = (setq generated-autoload-file \
	\"$(AUTOLOAD_PATH)/auto-autoloads.el\")

$(AUTOLOAD_PATH)/auto-autoloads.el :: $(GENERATED_ELC_DEPENDENCIES) $(EXTRA_AUTOLOADS_DEPENDENCIES)
	rm -f $(AUTOLOAD_PATH)/auto-autoloads.el
	$(XEMACS_BATCH_CLEAN) $(LOAD_AUTOLOADS) \
		-eval "$(AUTOLOAD_PACKAGE_NAME)" \
		-eval "$(AUTOLOAD_FILE)" \
		-l autoload -f batch-update-autoloads $^
	cat tex-site.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	cat preview/auto.el >> $(AUTOLOAD_PATH)/auto-autoloads.el
	@touch $(AUTOLOAD_PATH)/auto-autoloads.el
	@rm -f $(AUTOLOAD_PATH)/auto-autoloads.el~
endif

## 70+ pages
doc/auctex.dvi: doc/auctex.texi
	cd $(@D) && $(TEX) "\nonstopmode\input auctex.texi" \
	&& texindex auctex.ky && texindex auctex.fn \
	&& texindex auctex.vr && texindex auctex.cp \
	&& $(TEX) "\nonstopmode\input auctex.texi"

INSTALLATION: doc/install.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

README: doc/intro.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

CHANGES: doc/changes.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

# does not build.
HISTORY: doc/history.texi
	-$(RUN_MAKEINFO_INDIVIDUAL)

$(PL)/preview-mk.ins: $(PL)/preview.dtx $(PL)/bootstrap.ins
	cd $(PL) && \
	$(TEX) '\nonstopmode \input bootstrap.ins'

$(PL)/preview.ins: $(PL)/preview.dtx
	cd $(PL) && \
	$(TEX) '\nonstopmode\def\jobname{.ins}\input docstrip ' \
	'\generate{\file{preview.ins}{\from{preview.dtx}{installer}}}' \
	'\endbatchfile'

$(PREVIEW_TEXMFGEN) $(PL)/preview.drv: $(PL)/preview.dtx $(PL)/preview-mk.ins
	cd $(PL) && \
	$(TEX) '\nonstopmode \input preview-mk.ins'

$(PL)/preview.dvi: $(PL)/preview.drv $(PL)/preview.dtx $(PL)/preview.sty
	cd $(PL) && \
	$(LATEX) '\nonstopmode \input preview.drv' && \
	$(LATEX) '\nonstopmode \input preview.drv' && \
	$(LATEX) '\nonstopmode \input preview.drv'

=== debian/changelog ===
xemacs21-packages (2009.02.17.dfsg.3-3) unstable; urgency=low

  * Add a dependency on texlive-latex-recommended following texlive
    refactoring (closes: #1054821).
  * Yet more texinfo bodges.

 -- Mark Brown <broonie@debian.org>  Thu, 23 Nov 2023 14:48:01 +0000

xemacs21-packages (2009.02.17.dfsg.3-2) unstable; urgency=low

  * Clean preview.hd (closes: #1048441).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2023 01:01:23 +0100

xemacs21-packages (2009.02.17.dfsg.3-1) unstable; urgency=low

  * Drop LValue.java with non-free disparaging to Sun license
    condition (closes: #992089).
  * Drop xoobr binary from source.
  * Add build-indep and build-arch targets (closes: #998930).
  * debhelper 13, dh_prep (closes: #965888).
  * Policy 4.5.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri, 18 Mar 2022 01:40:42 +0000

=== debian/control ===
Source: xemacs21-packages
Section: editors
Build-Depends: debhelper (>= 13.0.0)
Priority: optional
Maintainer: Mark Brown <broonie@debian.org>
Standards-Version: 4.5.0
Build-Depends-Indep: xemacs21-mule, texinfo, info, texlive-latex-base, texlive-latex-recommended, texi2html, xfonts-utils

Package: xemacs21-basesupport
Architecture: all
Conflicts: xemacs21-support (<= 21.4.13-2)
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- compiled elisp support files
 This package contains the base extra elisp files in order to have a
 functioning xemacs21 package.
 .
 This package contains only the compiled elisp files.

Package: xemacs21-basesupport-el
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- source elisp support files
 This package contains the base extra elisp files in order to have a
 functioning xemacs21 package.
 .
 The xemacs21-basesupport package contains the
 compiled versions of these files.
 .
 The major reason to install this package is if you want to learn 
 elisp or modify the libraries for your specific installation. 

Package: xemacs21-mulesupport
Architecture: all
Conflicts: xemacs21-support (<= 21.4.13-2)
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- Mule elisp support files
 This package contains the mule elisp files in order to have a functioning
 mule xemacs21 package.
 .
 Mule is the extension to (x)emacs that allows for the display of
 non-European characters (for example Japanese and Korean characters).

Package: xemacs21-mulesupport-el
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Editor and kitchen sink -- source elisp support files
 This package contains the mule elisp files in order to have a functioning
 mule xemacs21 package.
 .
 Mule is the extension to (x)emacs that allows for the display of
 non-European characters (for example Japanese and Korean characters).
 .
 The xemacs21-mulesupport package contains the
 compiled versions of these files.
 .
 The major reason to install this package is if you want to learn 
 elisp or modify the libraries for your specific installation.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=xemacs21-packages

# this script moves directories so things can't be on separate
# partitions ( no idea why they would be to begin with, but hey
# doesn't hurt to warn :)
package=xemacs
version = $(shell /bin/sh debian/find-version)
maj_version = $(shell /bin/sh debian/find-major-version)

# any way to do this automatically since we'd like this to be
# easily used with no changes on other architectures, but still
# want to be able to specify.  Does this work OK?
machine_type = $(shell dpkg --print-architecture)
prefix=usr

debianconfig = ${machine_type}-debian-linux
html_file_loc = debian/html
tmp_file_loc = debian/tmp

var_file = ./var_file.pl

debian_config_scripts = debian/makevarfile
topdir = $(shell pwd)

# to make this basically cross portable to
xemacs_ver = xemacs${maj_version}

create-source-tar: pre-build
	cp debian/Local.rules .
	$(MAKE) -f debian/PackagesMakefile create-source-tar

build: build-arch build-indep
build-arch:

build-indep: pre-build build-stamp
build-stamp:
	dh_testdir

	cp debian/Local.rules .
	$(MAKE) all

	$(MAKE) -f debian/PackagesMakefile build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp pre-build-stamp
	# set up the files to not cause problems when trying to use them
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file)

	#-mv install.old install

	-rm -f debian/substvars
	-rm -f debian/files
	-rm -rf debian/tmp #`find debian/* -type d`
	-rm -f xemacs-packages/auctex/preview/latex/bootstrap.log
	-rm -f xemacs-packages/auctex/preview/latex/preview-mk.ins
	-rm -f xemacs-packages/auctex/preview/latex/preview-mk.log
	-rm -f xemacs-packages/auctex/preview/latex/preview.aux
	-rm -f xemacs-packages/auctex/preview/latex/preview.drv
	-rm -f xemacs-packages/auctex/preview/latex/preview.log
	-rm -f xemacs-packages/auctex/preview/latex/preview.out

	# Add here commands to clean up after the build process.
	[ ! -f Local.rules ] || $(MAKE) distclean

# Remove extra generated files
	-rm -f xemacs-packages/eshell/esh-groups.el \
		xemacs-packages/ess/texi/version.texi \
		xemacs-packages/ess/VERSION \
		xemacs-packages/x-symbol/man/index.html
	if [ -f debian/PackagesMakefile ] ; then \
	  $(MAKE) -f debian/PackagesMakefile clean ; \
	fi

	-rm -f `find . -name "*~"`
	-rm -f `find . -name '*.orig'`
	-rm -f `find . -name '*.elc'`
	-rm -f Local.rules

	dh_clean

	# must be done last because it removes the control file
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file) clean

debian/PackagesMakefile: pre-build

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	#dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install

	#touch install-stamp


pre-build: pre-build-stamp
pre-build-stamp:
	$(checkdir)
	chmod +x $(debian_config_scripts)
	debian/makevarfile "debian/$(var_file)" \
	    "MAJVERSION" "$(maj_version)" \
	    "VERSION" "$(version)" \
	    "SUBNAME" "" \
	    "CONF_NAME" "$(debianconfig)" \
	    "ARCH" "$(machine_type)" \
	    "HTML_FILE_LOC" "$(html_file_loc)" \
	    "TMP_FILE_LOC" "$(tmp_file_loc)" \
	    "PREFIX" "$(prefix)" \
	    "TOPDIR" "$(topdir)"
	#set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file) clean
	set -e ; cd debian ; $(MAKE) -f ConfigMakefile VAR_FILE=$(var_file)
	# replace all references to (dir) to XEmacs${maj_version} in
	# the info files
	#touch pre-build-stamp




# Build architecture-independent files here.
binary-indep: build install
	#-mv install install.old
	$(MAKE) -f debian/PackagesMakefile binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	#-mv install install.old
	$(MAKE) -f debian/PackagesMakefile binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local variables:
# mode: makefile
# End:
